import { Deeplink } from "electron-deeplink";
const { exec } = require("child_process");

const handler = (app, mainWindow, isDevelopment) => {
  const deeplink = new Deeplink({
    app,
    mainWindow,
    protocol: isDevelopment ? "oyunparki-dev" : "oyunparki"
  });

  deeplink.on("received", link => {
    link = link.split("://")[1].split("/");
    const func = link[0],
      container = link[1];

    if (["viewer", "terminal"].indexOf(func) === -1) {
      return;
    }

    if (func === "terminal") {
      if (process.platform === "win32") {
        exec(`start cmd.exe /c docker exec -it ${container} sh`);
      } else {
        exec(`docker exec -it ${container} sh`);
      }
    }

    console.log(func);
    console.log(container);
  });
};
module.exports = handler;
